using adas_core.Domain.Enums;
using MongoDB.Bson;

namespace adas_core.Domain.Models.MongoModels;

public class PoCSettings
{
    public ObjectId Id { get; set; }

    public PatientLocation? PatientLocation { get; set; }

    public RelayEnum.Status? ManualRelayStatus { get; set; }

    public override string ToString()
    {
        var result = "Id: " + Id;

        if (PatientLocation != null) result += PatientLocation.ToString();
        if (ManualRelayStatus != null) result += "Relay Manual Status: " + ManualRelayStatus;


        return result;
    }
}